// sftp.cpp : Defines the entry point for the console application.
//

#include "SSHSession.h"


int main()
{
	try
	{
		io_service service;
		//auto work = std::make_unique<io_service::work>(service);
		//std::thread t{ [&]() {service.run(); } };
		auto session = SSHSession::Create(service);
		std::cout << "hostname: serengeti.com";
		std::cout << "username: jsouthwell";
		auto future = session->Logon("serengeti.com", 22, "jsouthwell", NULL);
		service.run();
		future.get();
		std::cout << "Connected!" << std::endl;
		char c;
		std::cin >> c;
		return 0;
	}
	catch (const std::exception& se)
	{
		std::cout << se.what() << std::endl;
		char c;
		std::cin >> c;
		return 1;
	}
}

